<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
	<style type="text/css" media="screen">
		body{
			display: flex;
			flex-direction: row;

		}
		#graficoDeColumnas{
			width: 800px;
			height: 400px;
		}
		#graficoDeBarras{
			width: 800px;
			height: 400px;

		}
		#graficoDeLineas{
			width: 800px;
			height: 400px;
		}
		#graficoDeSectores{
			width: 800px;
			height: 400px;
		}
	</style>
	<script type="text/javascript">
		var json = {
					'Nombre': ['Daniel', 'Roberto', 'Ana', 'Jose', 'Silvia', 'Jesus', 'Lola', 'Rosa', 'Carmen', 'Sara'], 
					'Datos': [40, 10, 20, 15, 18, 25,14, 10, 8, 19],
					'DatosPorcentaje':[]
				};
		var colores=['red', 'blue', 'lime', 'gold', 'orange', 'pink', 'green','maroon','white', 'black']
				
		let meses=json.Nombre;
		window.addEventListener("load", inicio);
		function inicio(){
				json.DatosPorcentaje=convierteAPorcentaje(json.Datos);
				graficoColumnas();
				graficoBarras();
				graficoLineas();
				graficoSectores();
				console.log(json.Datos);
				json.DatosPorcentaje=convierteAPorcentaje(json.Datos);

		}


		function graficoColumnas(){
			var ctx = document.getElementById('myChart').getContext('2d');
				var chart = new Chart(ctx, {
			    // The type of chart we want to create
			    type: 'bar',

			    // The data for our dataset
			    data: {
			        labels: meses,
			        datasets: [{
			            label: 'Grafico de Columnas',
			            backgroundColor: 'rgb(255, 99, 132)',
			            borderColor: 'rgb(255, 99, 132)',
			            data: json.Datos
			        }]
			    },

			    // Configuration options go here
			    options: {}
			});
		}
		function graficoBarras(){
				var ctx = document.getElementById('myChart2').getContext('2d');
				var chart = new Chart(ctx, {
			    // The type of chart we want to create
			    type: 'horizontalBar',

			    // The data for our dataset
			    data: {
			        labels: meses,
			        datasets: [{
			            label: 'Grafico de Barras',
			            backgroundColor: 'rgb(0, 0, 255)',
			            borderColor: 'rgb(0, 0, 255)',
			            data: json.Datos
			        }]
			    },

			    // Configuration options go here
			    options: {}
			});
		}
				function graficoLineas(){
				var ctx = document.getElementById('myChart3').getContext('2d');
				var chart = new Chart(ctx, {
			    // The type of chart we want to create
			    type: 'line',

			    // The data for our dataset
			    data: {
			        labels: meses,
			        datasets: [{
			            label: 'Grafico de Lineas',
			            lineTension: '0',
			            borderColor: 'rgb(0, 255, 0)',
			            data: json.Datos
			        }]
			    },

			    // Configuration options go here
			    options: {}
			});
		}

			function graficoSectores(){
				var ctx = document.getElementById('myChart4').getContext('2d');
				var chart = new Chart(ctx, {
			    // The type of chart we want to create
			    type: 'pie',

			    // The data for our dataset
			    data: {
			        labels: meses,
			        datasets: [{
			            label: 'Grafico de Sectores',
			          backgroundColor: colores,
			            borderColor: 'rgb(255, 0, 255)',
			            data: json.DatosPorcentaje
			        }]
			    },

			    // Configuration options go here
			    options: {
			    
			    }
			});
		
		}
			function convierteAPorcentaje(lista){
				let nuevaLista=[];
				let suma=0;
				for(var i = 0; i < lista.length; i++){
					suma+=lista[i];
				}
				console.log("suma "+suma);
				for(var i = 0; i < lista.length; i++){
					nuevaLista[i]=Math.round((lista[i]/suma)*100);
				}
				console.log(nuevaLista);
				return nuevaLista;
			}
	</script>
</head>
<body>
	<div id="graficoDeColumnas">
		<canvas id="myChart"></canvas>
	</div>
	<div id="graficoDeBarras">
		<canvas id="myChart2"></canvas>
	</div>
	<div id="graficoDeLineas">
		<canvas id="myChart3"></canvas>
	</div>
	<div id="graficoDeSectores">
		<canvas id="myChart4"></canvas>
	</div>
	
</body>
</html>